/*!
 * Copyright 2019 EPAM Systems
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

.retries-counter {
  display: flex;
}

.retries-statuses {
  display: inline-block;
  line-height: 12px;
}

.status-indicator {
  display: inline-block;
  height: 7px;
  width: 7px;
  margin-right: 3px;
  vertical-align: middle;

  &.status-passed {
    background-color: $COLOR--passed;
  }

  &.status-failed {
    background-color: $COLOR--failed;
  }

  &.status-skipped {
    background-color: $COLOR--skipped;
  }

  &.status-untested {
    background-color: $COLOR--untested;
  }

  &.status-running {
    background-color: $COLOR--running;
  }
}

.retries-label {
  display: inline-block;
  padding-left: 2px;
  color: $COLOR--windows-blue;
  cursor: pointer;
  font-family: $FONT-REGULAR;
  font-size: 12px;
}

.desktop-label {
  display: inline-block;
  line-height: 1.2;

  @media (max-width: $SCREEN_SM_MAX) {
    display: none;
  }
}

.mobile-label {
  display: none;
  color: $COLOR--charcoal-grey;
  cursor: default;

  @media (max-width: $SCREEN_SM_MAX) {
    display: inline-block;
  }
}
